NUMBERNODEBDD(3)

NAME
numberNodeBdd - computes the number of nodes used in a BDD

SYNOPSYS
#include "logmmm.h"
int numberNodeBdd(pBdd)
pNode pBdd;

PARAMETER

pBdd
    BDD on wich the compute does

DESCRIPTION
numberNodeBdd() computes the number of reduced nodes that are used in pBdd.

EXAMPLE
#include "mutnnn.h"		/* mbk utilities */
#include "logmmm.h"
pNode nodeA,nodeB,nodeC;
pNode res;
chain_list *pt;
initializeBdd(SMALL_BDD);
nodeA = createNodeTermBdd(3);
nodeB = createNodeTermBdd(3);
nodeC = createNodeTermBdd(4);
pt = NULL;
pt = addListBdd(pt,nodeA);
pt = addListBdd(pt,nodeB);
pt = addListBdd(pt,nodeC);
res = applyBdd(XOR,pt);
printf("number of nodes = %d",numberNodeBdd(res));
/* it will display
number of nodes = 5
*/

destroyBdd(1);

SEE ALSO
log(1), bdd(1), addListBdd(3), numberNodeBdd(3), notBdd(3), constraintBdd(3), composeBdd(3), displayBdd(3), createNodeTermBdd(3).